<?php
/**
 * @version		$Id: install.cu3er.php 478 2010-06-16 16:11:42Z joomlaworks $
 * @package		CU3ER
 * @author		MADEBYPLAY http://www.madebyplay.com
 * @copyright		Copyright (c) 2006 - 2010 MADEBYPLAY
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.installer.installer');

// Load CU3ER language file
$lang = &JFactory::getLanguage();
$lang->load('com_cu3er');

$db = & JFactory::getDBO();
$status = new JObject();
$status->modules = array();
$status->plugins = array();
$src = $this->parent->getPath('source');

// installing modules
$modules = &$this->manifest->xpath('modules/module');
foreach ($modules as $module) {
	$mname = $module->getAttribute('module');
	$client = 'site';
	$path = $src.DS.'modules'.DS.$mname;
	$installer = new JInstaller;
	$result = $installer->install($path);
	$status->modules[] = array('name'=>$mname,'client'=>$client, 'result'=>$result);
}

// installing plugins
$plugins = &$this->manifest->xpath('plugins/plugin');
foreach($plugins as $plugin){
    $pname = $plugin->getAttribute('plugin');
    $pgroup = $plugin->getAttribute('group');		
    $pname = $plugin->getAttribute('plugin');
	$path = $src.DS.'plugins'.DS.$pgroup;
	$installer = new JInstaller;
	$result = $installer->install($path);
	$status->plugins[] = array('name'=>$pname,'group'=>$pgroup, 'result'=>$result);

	$query = "UPDATE #__extensions SET enabled=1 WHERE element=".$db->Quote($pname)." AND folder=".$db->Quote($pgroup);
	$db->setQuery($query);
	$db->query();
}
/*$query = "SELECT * FROM #__cu3er__settings WHERE id=1";
$db->setQuery($query);
$row = $db->loadAssoc();
switch($row['version']) {
	case '0.1':
		/*
		// database updates will come here //
		$query = "UPDATE #__cu3er__settings SET version='0.2'";
		$db->setQuery($query);
		$db->query();
		break;
}*/

// creating slide image folder
$slides_folder = JPATH_SITE.DS.(JComponentHelper::getParams('com_media')->get('image_path')).DS.'CU3ER';

if (!JFolder::exists($slides_folder)) {
	JFolder::create($slides_folder);
}

$rows = 0;

?>

<h2><?php echo JText::_('CU3ER Installation Status'); ?></h2>
<table class="adminlist">
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('Extension'); ?></th>
			<th width="30%"><?php echo JText::_('Status'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="3"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="2"><?php echo 'CU3ER '.JText::_('Component'); ?></td>
			<td><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
		<?php if (count($status->modules)) : ?>
		<tr>
			<th><?php echo JText::_('Module'); ?></th>
			<th><?php echo JText::_('Client'); ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->modules as $module) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo $module['name']; ?></td>
			<td class="key"><?php echo ucfirst($module['client']); ?></td>
			<td><strong><?php echo ($module['result'])?JText::_('Installed'):JText::_('Not installed'); ?></strong></td>
		</tr>
		<?php endforeach;?>
		<?php endif;?>
		<?php if (count($status->plugins)) : ?>
		<tr>
			<th><?php echo JText::_('Plugin'); ?></th>
			<th><?php echo JText::_('Group'); ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->plugins as $plugin) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo ucfirst($plugin['name']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['group']); ?></td>
			<td><strong><?php echo ($plugin['result'])?JText::_('Installed'):JText::_('Not installed'); ?></strong></td>
		</tr>
		<?php endforeach; ?>
		<?php endif; ?>
	</tbody>
</table>
